Package com.sas.lsaf.messaging.subscription

## Interface SubscriptionService

-     public interface SubscriptionService

  The service to create and to retrieve subscriptions for subscribable events in the repository.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Subscription>` | `getSubscriptions()` | Gets all the subscriptions for the current user.
    `java.util.Set<Subscription>` | `getSubscriptionsByPath​(java.lang.String path)` | Gets the subscriptions for the path.
    `java.util.Set<Subscription>` | `setSubscriptions​(java.lang.String path, java.util.Set<SubscriptionEvent> events)` | Sets the subscriptions for the path for the current user.

- - ### Method Detail

    - #### setSubscriptions

          java.util.Set<Subscription> setSubscriptions​(java.lang.String path,
                                                       java.util.Set<SubscriptionEvent> events)
                                                throws SubscriptionException

      Sets the subscriptions for the path for the current user. Existing subscriptions for the path are overwritten. Specifying null or empty for events removes subscriptions for the path.
      Parameters:
        `path` - the path to which to subscribe.
        `events` - the events to which to subscribe.
      Returns:
        subscriptions The subscriptions for the path.
      Throws:
        `SubscriptionException` - thrown when there is an issue setting the subscriptions.

    - #### getSubscriptionsByPath

          java.util.Set<Subscription> getSubscriptionsByPath​(java.lang.String path)
                                                      throws SubscriptionException

      Gets the subscriptions for the path.
      Parameters:
        `path` - the path from which to get subscriptions.
      Returns:
        Subscriptions for the path.
      Throws:
        `SubscriptionException` - thrown when there is an issue getting th subscriptions.

    - #### getSubscriptions

          java.util.Set<Subscription> getSubscriptions()

      Gets all the subscriptions for the current user.
      Returns:
        The subscriptions for the current user.